org.apache.lucene.spatial.spatial4j

## Class Geo3dCircleShape

- java.lang.Object
- - org.apache.lucene.spatial.spatial4j.Geo3dShape<GeoCircle>
  - - org.apache.lucene.spatial.spatial4j.Geo3dCircleShape

- All Implemented Interfaces:
    org.locationtech.spatial4j.shape.Circle, org.locationtech.spatial4j.shape.Shape

      public class Geo3dCircleShape
      extends Geo3dShape<GeoCircle>
      implements org.locationtech.spatial4j.shape.Circle

  Specialization of a `Geo3dShape` which represents a `Circle`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.spatial.spatial4j.Geo3dShape

      `boundingBox, center, shape, spatialcontext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Geo3dCircleShape(GeoCircle shape, org.locationtech.spatial4j.context.SpatialContext spatialcontext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.locationtech.spatial4j.shape.Point` | `getCenter()`
    `double` | `getRadius()`
    `void` | `reset(double x, double y, double radiusDEG)`

    - ### Methods inherited from class org.apache.lucene.spatial.spatial4j.Geo3dShape

      `equals, getArea, getBoundingBox, getBuffered, getContext, hasArea, hashCode, isEmpty, relate, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.locationtech.spatial4j.shape.Shape

      `equals, getArea, getBoundingBox, getBuffered, getContext, hasArea, isEmpty, relate`

- - ### Constructor Detail

    - #### Geo3dCircleShape

          public Geo3dCircleShape(GeoCircle shape,
                                  org.locationtech.spatial4j.context.SpatialContext spatialcontext)

  - ### Method Detail

    - #### reset

          public void reset(double x,
                            double y,
                            double radiusDEG)

      Specified by:
        `reset` in interface `org.locationtech.spatial4j.shape.Circle`

    - #### getRadius

          public double getRadius()

      Specified by:
        `getRadius` in interface `org.locationtech.spatial4j.shape.Circle`

    - #### getCenter

          public org.locationtech.spatial4j.shape.Point getCenter()

      Specified by:
        `getCenter` in interface `org.locationtech.spatial4j.shape.Shape`
      Overrides:
        `getCenter` in class `Geo3dShape<GeoCircle>`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.